﻿/* #Section */
/* #FullName *//* &DefaultNamespace *//* #Module */./* &Module *//* /Module */./* &Name *//* /FullName */
/* #ToRobject *//* >FullName */Impl.ToRobject(/* &Attributes.ObjExp */)/* /ToRobject */
/* #ToObject *//* >FullName */Impl.FromRobject(/* &Attributes.RobjExp */)/* /ToObject */
/* /Section */
/* ^Section */
#region /* >FullName */
namespace /* &DefaultNamespace *//* #Module */./* &Module *//* /Module */
{
    using /* &DefaultNamespace */;
    using Routine.Client;
    using System;
    using System.Collections.Generic;

    public interface /* &Name */
    {
        /* #Properties */
        /* #PropertyType *//* >Reference *//* /PropertyType */ /* &Name */ { get; }
        /* /Properties */

        /* #Methods */
        /* #Overloads */
        /* #ReturnType *//* >Reference *//* /ReturnType */ /* &Name */(/* #Parameters *//* #ParameterType *//* >Reference *//* /ParameterType */ @/* &Name *//* #IsOptional */ = default/* /IsOptional *//* ^Last */, /* /Last *//* /Parameters */);
        /* /Overloads */
        /* /Methods */

        /* #Interfaces */
        /* >Reference */ As/* &Name */();
        /* /Interfaces */

        /* #Implementations */
        bool Is/* &Name */();
        /* /Implementations */

        void Invalidate();
        ObjectIdentifier GetIdentifier();
    }

    internal class /* &Name */Impl : /* &Name */
    {
        internal static /* &Name */ FromRobject(Robject robject) => new /* &Name */Impl(robject);
        internal static Robject ToRobject(/* &Name */ instance) => ((/* &Name */Impl)instance).Robject;

        private Robject Robject { get; set; }

        private /* &Name */Impl(Robject robject) => Robject = robject;

        /* #Properties */
        public /* #PropertyType *//* >Reference *//* /PropertyType */ /* &Name */ => Robject["/* &Name */"].Get()/* #PropertyType */.As/* #IsList */List/* /IsList */(o => /* #Render *//* Template='{{> TemplateName}}' Section='ToObject' RobjExp='o' *//* /Render */);/* /PropertyType */
        /* /Properties */

        /* #Methods */
        /* #Overloads */
        /* #ReturnType *//* >Reference *//* /ReturnType */ /* &ServiceName */./* &Name */(/* #Parameters *//* #ParameterType *//* >Reference *//* /ParameterType */ @/* &Name *//* ^Last */, /* /Last *//* /Parameters */)
        {
            var __params = new List<Rvariable>();
            /* #Parameters */
            /* #IsOptional */if(!@/* &Name */.IsDefault()) { /* /IsOptional */__params.Add(Robject.Application.NewVar/* #ParameterType.IsList */List/* /ParameterType.IsList */("/* &Name */", @/* &Name */, o => /* #ParameterType *//* #Render *//* Template='{{> TemplateName}}' Section='ToRobject' ObjExp='o' RtypeExp='Robject.Application["{{{Id}}}"]' *//* /Render *//* /ParameterType */));/* #IsOptional */ }/* /IsOptional */
            /* /Parameters */

            /* #ReturnType */
                /* #IsVoid */
            Robject.Perform("/* &OperationName */", __params);
                /* /IsVoid */
                /* ^IsVoid */
            return Robject.Perform("/* &OperationName */", __params).As/* #IsList */List/* /IsList */(o => /* #Render *//* Template='{{> TemplateName}}' Section='ToObject' RobjExp='o' *//* /Render */);
                /* /IsVoid */
            /* /ReturnType */
        }
        /* /Overloads */
        /* /Methods */

#region Is & As Conversion Methods
        /* #Interfaces */
        /* >Reference */ /* &ServiceName */.As/* &Name */()
        {
            var __result = Robject.As(Robject.Application["/* &Id */"]);

            return /* #Render *//* Template='{{> TemplateName}}' Section='ToObject' RobjExp='__result' *//* /Render */;
        }
        /* /Interfaces */

        /* #Implementations */
        bool /* &ServiceName */.Is/* &Name */() => Robject.ActualType.Id == "/* &Id */";
        /* /Implementations */
#endregion

#region Invalidate & ToString & HashCode Methods
        void /* &ServiceName */.Invalidate() => Robject.Invalidate();
        ObjectIdentifier /* &ServiceName */.GetIdentifier() => new ObjectIdentifier(Robject.Id);
        public override string ToString() => Robject.Display;

        public override bool Equals(object obj)
        {
            if(obj == null)
                return false;
            if(ReferenceEquals(this, obj))
                return true;
            if(obj.GetType() != typeof(/* &Name */Impl))
                return false;

            var other = (/* &Name */Impl)obj;

            return Robject.Equals(other.Robject);
        }

        public override int GetHashCode() => Robject.GetHashCode();
#endregion
    }
}
#endregion
/* /Section */
